<?php

namespace Repository;

use Util\InstanceProvider;
use Zeedhi\DevOps\Util\Utilities;
use Teknisa\Model\Traits\TQuery;

class Structure
{
    use TQuery;

    public function getEntityManager(){
        return InstanceProvider::getEntityManager();
    }

    public function findStructureFieldNext(){

        $query = <<<SQL
        SELECT ST.ID,ST.NAME,ST.PARENT,ST.ORGANIZATION
 			FROM 	STRUCTURE ST
            WHERE ST.STATUS = 'A'
			AND ST.ORGANIZATION = '20'
			ORDER BY ST.ID

SQL;
        return $this->createAndExecuteQueryAndBuildResponseData(InstanceProvider::getEntityManager(), $query);
    }
}
